Subject: Re: linux-next: build failure after merge of the thermal tree

From: Daniel Lezcano <[email-masked]>
Date: Fri, 13 Dec 2019 02:03:05 +0100

On 12/12/2019 23:14, Stephen Rothwell wrote:
> Hi all,
> 
> On Thu, 12 Dec 2019 09:50:20 +1100 Stephen Rothwell <[email-masked]> wrote:
>>
>> After merging the thermal tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
>>
>> drivers/thermal/qoriq_thermal.c: In function 'qoriq_tmu_probe':
>> drivers/thermal/qoriq_thermal.c:247:20: error: 'SZ_4K' undeclared (first use in this function)
>>   247 |   .max_register  = SZ_4K,
>>       |                    ^~~~~
>>
>> Caused by commit
>>
>>   c98030e5440d ("thermal: qoriq: Convert driver to use regmap API")
>>
>> I have used the thermal tree from next-20191211 for today.
> 
> Today, I applied the following patch instead:

Thanks for the fix, I'll fold it with the commit c98030e5440d in order
to recover the bisectability.

> From: Stephen Rothwell <[email-masked]>
> Date: Fri, 13 Dec 2019 09:08:24 +1100
> Subject: [PATCH] thermal: qoriq: using SZ_4K requires linux/sizes.h
> 
> Fixes: c98030e5440d ("thermal: qoriq: Convert driver to use regmap API")
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  drivers/thermal/qoriq_thermal.c | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/drivers/thermal/qoriq_thermal.c b/drivers/thermal/qoriq_thermal.c
> index b75d34e07da5..874bc46e6c73 100644
> --- a/drivers/thermal/qoriq_thermal.c
> +++ b/drivers/thermal/qoriq_thermal.c
> @@ -10,6 +10,7 @@
>  #include <linux/of.h>
>  #include <linux/of_address.h>
>  #include <linux/regmap.h>
> +#include <linux/sizes.h>
>  #include <linux/thermal.h>
>  
>  #include "thermal_core.h"
> 

-- 
 <http://www.linaro.org/> Linaro.org │ Open source software for ARM SoCs

Follow Linaro:  <http://www.facebook.com/pages/Linaro> Facebook |
<http://twitter.com/#!/linaroorg> Twitter |
<http://www.linaro.org/linaro-blog/> Blog